XtInitialize(3) | Library Functions Manual | XtInitialize(3)

# NAME

XtInitialize - initialize

# SYNTAX

#include <X11/Intrinsic.h>

Widget XtInitialize(const char *shell_name, const char *application_class, XrmOptionDescRec* options, Cardinal num_options, int* argc, char** argv);

# ARGUMENTS

shell_name
  Specifies the name of the created shell widget.
application_class
  Specifies the class name of this application, which usually is the generic name for all instances of this application.
options
  Specifies how to parse the command line for any application-specific resources. The options argument is passed as a parameter to XrmParseCommand. For further information, see Xlib - C Language X Interface.
num_options
  Specifies the number of entries in the options list.
argc
  Specifies a pointer to the number of command line parameters.
argv
  Specifies the command line parameters.

# DESCRIPTION

XtInitialize calls XtToolkitInitialize followed by XtOpenDisplay with display_string NULL and application_name NULL, and finally calls XtAppCreateShell with application_name NULL, widget_class applicationShellWidgetClass, and the specified args and num_args and returns the created shell. The semantics of calling XtInitialize more than once are undefined. This routine has been replaced by XtAppInitialize.

# SEE ALSO

XtAppInitialize(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

X Version 11 | XT COMPATIBILITY FUNCTIONS